
$(document).ready(function(){
	var data = "ho/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_ho_cust").html('');
		$("#error_no_ho").html('');
		$("#error_alamat_ho").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "ho/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_ho_cust").html(hasil.error.ho_cust);
					$("#error_no_ho").html(hasil.error.no_ho);
					$("#error_alamat_ho").html(hasil.error.alamat_ho);
				} else {
					$('#modal-tambah').modal('hide');
					$("#ho_cust").val('');
					$("#no_ho").val('');
					$("#alamat_ho").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('ho/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_ho_cust").html('');
		$("#error_no_ho").html('');
		$("#error_alamat_ho").html('');
		
		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "ho/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_ho_cust").html(hasil.error.edit_ho_cust);
					$("#error_edit_no_ho").html(hasil.error.edit_no_ho);
					$("#error_edit_alamat_ho").html(hasil.error.edit_alamat_ho);
				} else {
					$('#modal-edit').modal('hide');
					$("#ho_cust").val('');
					$("#no_ho").val('');
					$("#alamat_ho").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	


});